Folks.PersonaStore.personas_changed – folks Reference Manual

# personas_changed

## Description:

public signal void personas_changed (Set<Persona> added, Set<Persona> removed, string? message, Persona? actor, ChangeReason reason)

Emitted when one or more Personas are added to or removed from the store.

This will not be emitted until after PersonaStore.prepare has been called.

## Parameters:

added | a set of Personas which have been removed
removed | a set of Personas which have been removed
message | a string message from the backend, if any
actor | the Persona who made the change, if known
reason | the reason for the change

## Since:

0.5.1